## opennidev 1.3.2.1

=== Linux-x86/Build/Makefile ===
#############################################################################
# OpenNI makefile.
# 
# default configuration is Release. for a debug version use:
# 	make CFG=Debug
#
# default compiler is g++. for another one use:
#   make CXX=<comp>
#
# default platform is x86. for CE4100 use:
#   make PLATFORM=CE4100
#
#############################################################################

# default config is Release
ifndef CFG
	CFG = Release
endif
export CFG

# default platform is x86
ifndef PLATFORM
	PLATFORM = x86
endif

# tools
CP = cp
RM = rm

# platform specific args
-include Platform.$(PLATFORM)

# Bin directory
BIN_DIR = ../Bin
# output directory
OUT_DIR = $(BIN_DIR)/$(CFG)

# list all modules
ALL_MODULES = \
	Modules/nimCodecs \
	Modules/nimMockNodes \
	Modules/nimRecorder

# list all utils
ALL_UTILS = \
	Utils/niReg \
	Utils/niLicense

ALL_MONO_PROJS = \
	Wrappers/OpenNI.net

ALL_JAVA_PROJS = \
	Wrappers/OpenNI.jni \
	Wrappers/OpenNI.java
	
# list all core projects
ALL_CORE_PROJS = \
	OpenNI \
	$(ALL_MODULES) \
	$(ALL_UTILS) \
	$(ALL_JAVA_PROJS)

# list all samples
CORE_SAMPLES = \
	Samples/NiSimpleRead \
	Samples/NiBackRecorder \
	Samples/NiConvertXToONI \
	Samples/NiRecordSynthetic \
	Samples/NiSampleModule \
	Samples/NiSimpleCreate \
	Samples/NiCRead \
	Samples/NiAudioSample \
	
ifneq "$(PLATFORM)" "Arm"
	CORE_SAMPLES += \
		Samples/NiUserTracker
endif
	
ifeq "$(PLATFORM)" "x86"	
	CORE_SAMPLES += \
		Samples/NiViewer \
		Samples/NiSimpleViewer
endif

MONO_SAMPLES = \
	Samples/SimpleRead.net

MONO_FORMS_SAMPLES = \
	Samples/SimpleViewer.net \
	Samples/UserTracker.net
	
JAVA_SAMPLES = \
	Samples/SimpleRead.java \
	Samples/SimpleViewer.java \
	Samples/UserTracker.java \

ALL_SAMPLES = \
	$(CORE_SAMPLES) \
	$(JAVA_SAMPLES)

# list all projects that are build
ALL_BUILD_PROJS = \
	$(ALL_CORE_PROJS) \
	$(ALL_SAMPLES)

ALL_PROJS = \
	$(ALL_BUILD_PROJS)

ifeq "$(PLATFORM)" "x86"
	# check if mono is installed
	ifneq "$(realpath /usr/bin/gmcs)" ""
		ALL_PROJS += $(ALL_MONO_PROJS)
		ALL_PROJS += $(MONO_SAMPLES)
		ALL_PROJS += $(MONO_FORMS_SAMPLES)
	endif
endif

ALL_PROJS_CLEAN = $(foreach proj,$(ALL_PROJS),$(proj)-clean)

# define a function which creates a target for each proj
define CREATE_PROJ_TARGET
$1: 
	$(MAKE) -C $1

$1-clean: 
	$(MAKE) -C $1 clean
endef

################ TARGETS ##################

.PHONY: all $(ALL_PROJS) $(ALL_PROJS_CLEAN) install uninstall clean 

# make all makefiles
all: $(ALL_PROJS)

core: $(ALL_CORE_PROJS)

samples: $(ALL_SAMPLES)

mono_wrapper: Wrappers/OpenNI.net

mono_samples: $(MONO_SAMPLES) $(MONO_FORMS_SAMPLES)

# create projects targets
$(foreach proj,$(ALL_PROJS),$(eval $(call CREATE_PROJ_TARGET,$(proj))))

# additional dependencies
Modules/nimCodecs: OpenNI
Modules/nimMockNodes: OpenNI
Modules/nimRecorder: OpenNI
Utils/niReg: OpenNI
Utils/niLicense: OpenNI
Wrappers/OpenNI.net: OpenNI
Wrappers/OpenNI.jni: OpenNI
Wrappers/OpenNI.java: Wrappers/OpenNI.jni
Samples/NiSimpleRead: OpenNI
Samples/NiViewer: OpenNI
Samples/NiBackRecorder: OpenNI
Samples/NiConvertXToONI: OpenNI
Samples/NiRecordSynthetic: OpenNI
Samples/NiSampleModule: OpenNI
Samples/NiSimpleCreate: OpenNI
Samples/NiCRead: OpenNI
Samples/NiSimpleViewer: OpenNI
Samples/SimpleRead.net: Wrappers/OpenNI.net
Samples/SimpleViewer.net: Wrappers/OpenNI.net
Samples/UserTracker.net: Wrappers/OpenNI.net
Samples/SimpleRead.java: Wrappers/OpenNI.java
Samples/SimpleViewer.java: Wrappers/OpenNI.java
Samples/UserTracker.java: Wrappers/OpenNI.java

# clean is cleaning all projects
clean: $(ALL_PROJS_CLEAN)

# redist target
redist: all
	cd ../CreateRedist; ./RedistMaker; cd -

# install target
install: redist
	cd ../Redist; ./install.sh; cd -

# uninstall target
uninstall:
	cd ../Redist; ./install.sh -u; cd -

=== Linux-x86/Build/OpenNI/Makefile ===
OSTYPE := $(shell uname -s)

BIN_DIR = ../../Bin

INC_DIRS = \
	../../../../Include \
	../../../../Source \
	../../../../Source/External/TinyXml

SRC_FILES = \
	../../../../Source/OpenNI/*.cpp \
	../../../../Source/OpenNI/Linux-x86/*.cpp \
	../../../../Source/External/TinyXml/*.cpp

ifeq ("$(OSTYPE)","Darwin")
	INC_DIRS += /opt/local/include
	LIB_DIRS += /opt/local/lib
	LDFLAGS += -framework CoreFoundation -framework IOKit
endif

LIB_NAME = OpenNI
USED_LIBS = usb-1.0 dl pthread
ifneq ("$(OSTYPE)","Darwin")
	USED_LIBS += rt 
endif
DEFINES = XN_EXPORTS

include ../CommonCppMakefile

=== Linux-x86/Build/Modules/nimCodecs/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source \
	../../../../../Source/External/LibJPEG

SRC_FILES = \
	../../../../../Source/Modules/nimCodecs/*.cpp \
	../../../../../Source/External/LibJPEG/*.c

LIB_NAME = nimCodecs
USED_LIBS = OpenNI

include ../../CommonCppMakefile

=== Linux-x86/Build/Modules/nimMockNodes/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source

SRC_FILES = \
	../../../../../Source/Modules/nimMockNodes/*.cpp

LIB_NAME = nimMockNodes
USED_LIBS = OpenNI

include ../../CommonCppMakefile

=== Linux-x86/Build/Modules/nimRecorder/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = \
	../../../../../Include \
	../../../../../Source \
	../../../../../Source/Modules/Common

SRC_FILES = \
	../../../../../Source/Modules/nimRecorder/*.cpp \
	../../../../../Source/Modules/Common/*.cpp

LIB_NAME = nimRecorder
USED_LIBS = OpenNI

include ../../CommonCppMakefile

=== Linux-x86/Build/Samples/NiAudioSample/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiAudioSample/*.cpp

EXE_NAME = Sample-NiAudioSample
USED_LIBS = OpenNI

include ../../CommonCppMakefile

=== Linux-x86/Build/Samples/NiBackRecorder/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiBackRecorder/*.cpp

EXE_NAME = Sample-NiBackRecorder
USED_LIBS = OpenNI

include ../../CommonCppMakefile

=== Linux-x86/Build/Samples/NiCRead/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiCRead/*.c

EXE_NAME = Sample-NiCRead
USED_LIBS = OpenNI

include ../../CommonCppMakefile

=== Linux-x86/Build/Samples/NiConvertXToONI/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiConvertXToONI/*.cpp

EXE_NAME = Sample-NiConvertXToONI
USED_LIBS = OpenNI

include ../../CommonCppMakefile

=== Linux-x86/Build/Samples/NiRecordSynthetic/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiRecordSynthetic/*.cpp

EXE_NAME = Sample-NiRecordSynthetic
USED_LIBS = OpenNI

include ../../CommonCppMakefile

=== Linux-x86/Build/Samples/NiSampleModule/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSampleModule/*.cpp

LIB_NAME = Sample-NiSampleModule
USED_LIBS = OpenNI

include ../../CommonCppMakefile

=== Linux-x86/Build/Samples/NiSimpleCreate/Makefile ===
BIN_DIR = ../../../Bin

INC_DIRS = ../../../../../Include

SRC_FILES = ../../../../../Samples/NiSimpleCreate/*.cpp

EXE_NAME = Sample-NiSimpleCreate
USED_LIBS = OpenNI

include ../../CommonCppMakefile

=== debian/changelog ===
opennidev (1.3.2.1-4+oneiric2) oneiric; urgency=low

  * Reupload to replace old binary packages.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Fri, 09 Nov 2012 21:43:45 +0100

openni (1.3.2.1-4+oneiric1) oneiric; urgency=low

  * Add patch silence_assert.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 01 Sep 2011 18:24:06 +0200

openni (1.3.2.1-3+oneiric1) oneiric; urgency=low

  * Add python as a build dependency.
  * Disable SSE again.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Mon, 22 Aug 2011 19:24:51 +0200

openni (1.3.2.1-2+oneiric1) oneiric; urgency=low

  * Add freeglut3-dev as build dependency.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 18 Aug 2011 20:24:47 +0200

openni (1.3.2.1-1+oneiric1) oneiric; urgency=low

  * New upstream release.
  * Syncing changes from ROS:
   - move /etc/primesense to /etc/openni
   - new willow.patch
  * Disable mono build.
  * Link against libGL where necessary.
  * Build doxygen documentation.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 18 Aug 2011 09:08:03 +0200

openni (1.1.0.41-7+oneiric1) oneiric; urgency=low

  * add memcpy -> memmove patch (for glibc 2.13 on amd64, see
    http://sourceware.org/bugzilla/show_bug.cgi?id=12518
    https://code.ros.org/lurker/message/20110701.140215.94ff61e8.en.html
    thanks to Angus Lees).

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Mon, 18 Jul 2011 16:32:48 +0200

openni (1.1.0.41-6+oneiric1) oneiric; urgency=low

  * change optimization to O2 and remove sse2 from CFLAGS to get rid of an
    illegal instruction error on i386 (thanks to Peter T. Breuer).

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Mon, 18 Jul 2011 14:52:59 +0200

openni (1.1.0.41-5+oneiric1) oneiric; urgency=low

  * changed postinst and prerm to debian style.
  * changed prerm to only remove /etc/primesense/modules.xml when called with
    remove.

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Thu, 02 Jun 2011 19:53:58 -0700

openni (1.1.0.41-4+oneiric1) oneiric; urgency=low

  * add libc612 patch to get rid of libc6 2.12 dependency (only used in a
    warning message)

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Wed, 01 Jun 2011 15:38:58 -0700

openni (1.1.0.41-3+oneiric1) oneiric; urgency=low

  * upload to oneiric

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Wed, 11 May 2011 22:25:06 -0700

openni (1.1.0.41-2) oneiric; urgency=low

  * add quilt and libusb-1.0-0-dev as build dependencies

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Wed, 11 May 2011 18:32:52 -0700

openni (1.1.0.41-1) oneiric; urgency=low

  * Initial release

 -- Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>  Wed, 11 May 2011 15:52:59 -0700

=== debian/control ===
Source: opennidev
Priority: optional
Maintainer: Jochen Sprickerhof <launchpad@jochen.sprickerhof.de>
Build-Depends: debhelper (>= 7.0.50~), quilt, libusb-1.0-0-dev, freeglut3-dev, default-jdk, doxygen, python
Standards-Version: 3.9.1
Section: libs
Homepage: http://openni.org
Vcs-Git: git://github.com/OpenNI/OpenNI.git
Vcs-Browser: https://github.com/OpenNI/OpenNI

Package: openni-dev
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: OpenNI Framework - libraries
 The OpenNI Framework provides the interface for physical devices and for
 middleware components. The API enables modules to be registered in the OpenNI
 framework and used to produce sensory data. Selecting the hardware or
 middleware module is easy and flexible.

=== debian/rules ===
#!/usr/bin/make -f

PLATFORM=Linux-x86

%:
	dh --with quilt $@ --buildsystem=makefile

override_dh_auto_build:
	cd Platform/$(PLATFORM)/CreateRedist && ./RedistMaker

override_dh_auto_clean:
	dh_auto_clean
	cd Platform/$(PLATFORM)/Build && make clean
	rm -rf Platform/$(PLATFORM)/Bin
	rm -rf Platform/$(PLATFORM)/Build/Modules/*/Release
	rm -rf Platform/$(PLATFORM)/Build/OpenNI/Release
	rm -rf Platform/$(PLATFORM)/Build/Samples/*/Release
	rm -rf Platform/$(PLATFORM)/Build/Utils/*/Release
	rm -rf Platform/$(PLATFORM)/Build/Wrappers/OpenNI.jni/Release
	rm -rf Platform/$(PLATFORM)/CreateRedist/Final
	rm -rf Platform/$(PLATFORM)/CreateRedist/Output
	rm -rf Platform/$(PLATFORM)/Redist
	rm -rf Source/DoxyGen/html
